md5_context(3)

NAME
md5_context - MD5 context structure.

SYNOPSIS

#include <md5.h>

  Data Fields
unsigned long total [2]
unsigned long state [4]
unsigned char buffer [64]

Detailed Description

MD5 context structure.

Field Documentation

  unsigned char md5_context::buffer[64]
data block being processed

  unsigned long md5_context::state[4]
intermediate digest state

  unsigned long md5_context::total[2]
number of bytes processed

Author

Generated automatically by Doxygen for libalpm from the source code.